package com.zhentao.web.controller.system;

import com.zhentao.common.core.controller.BaseController;
import com.zhentao.common.core.domain.AjaxResult;
import com.zhentao.common.core.domain.model.RegisterBody;
import com.zhentao.framework.web.service.SysRegisterService;
import com.zhentao.system.service.ISysConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * 注册验证
 *
 * @author ruoyi
 */
@RestController
public class SysRegisterController extends BaseController
{
    @Autowired
    private SysRegisterService registerService;

    @Autowired
    private ISysConfigService configService;

    @PostMapping("/register")
    public AjaxResult register(@RequestBody RegisterBody user)
    {
        registerService.register(user);
        return AjaxResult.success("注册成功");
    }
}
