package com.zhentao.system.service.impl;

import com.zhentao.system.domain.CourseCategory;
import com.zhentao.system.mapper.CourseCategoryMapper;
import com.zhentao.system.service.CourseCategoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author ASUS
* @description 针对表【course_category(课程分类表)】的数据库操作Service实现
* @createDate 2025-05-12 09:05:20
*/
@Service
public class CourseCategoryServiceImpl implements CourseCategoryService{
    @Autowired
    private CourseCategoryMapper mapper;
    @Override
    public List<CourseCategory> findAll() {
        return mapper.findAll();
    }
}




