package com.zhentao.web.controller.system;

import com.zhentao.common.annotation.Anonymous;
import com.zhentao.common.core.domain.AjaxResult;
import com.zhentao.system.domain.CourseCategory;
import com.zhentao.system.service.CourseCategoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @date: 2025/5/12 9:06
 * @author: ftt
 */
@RestController
@Anonymous
@RequestMapping("/system/category")
public class CourseCategoryController {
    @Autowired
    private CourseCategoryService service;

    @RequestMapping("/findAll")
    public AjaxResult findAll(){
        List<CourseCategory> list = service.findAll();
        return AjaxResult.success(list);
    }
}
